I=(S=Uno.Float2 = function(){
    this.X = 0.0;
    this.Y = 0.0;
}).prototype;

I.ToString = function()
{
    return (this.X.ToString() + "; ") + this.Y.ToString();
};

I.GetHashCode = function()
{
    return 0;
};

S.operator_Mul = function(a, b)
{
    return Uno.Float2.$1(a.X * b, a.Y * b);
};

S.$0 = function(xy) {
    var $this = new Uno.Float2;
    $this.X = $this.Y = xy;
    return $this;
};

S.$1 = function(x, y) {
    var $this = new Uno.Float2;
    $this.X = x;
    $this.Y = y;
    return $this;
};
